export declare class InstallationModel {
    id: string;
    verified: boolean;
    verifiedTimestamp: string;
    serverMeta: ServerMeta;
}
export declare class ServerMeta {
    name: string;
    id: string;
    type: string;
    version: string;
    title: string;
    description: string;
    url: string;
    installationLocation: string;
}
export interface ServerInstallation {
    verify: () => Promise<boolean>;
    uninstall: () => Promise<any>;
}
export declare class LocalServerInstallation implements ServerInstallation {
    serverMeta: ServerMeta;
    model: ServerInstallation;
    constructor(serverMeta: ServerMeta);
    verify(): Promise<boolean>;
    uninstall(): Promise<any>;
}
export declare class RemoteServerInstallation implements ServerInstallation {
    verify(): Promise<boolean>;
    uninstall(): Promise<any>;
}
export interface ServerLauncher {
    start(): Promise<void>;
}
