import { Protocol } from 'raas-core';
import { ClientService } from './clientService';
export declare class InstallationService {
    private installed;
    private installing;
    private clientService;
    constructor(clientService: ClientService);
    addInstallation(installation: Protocol.Installation): void;
    installServer(installRequest: Protocol.InstallServerRequest): void;
    cancellInstallation(id: string): boolean;
    deleteInstallation(id: string): boolean;
    updateInstallation(installation: Protocol.Installation): boolean;
    getInstallations(): Protocol.Installation[];
    getInstalling(): Protocol.InstallingServer[];
    findInstallation(id: string): Protocol.Installation | undefined;
    private notifyInstallationAdded;
    private notifyInstallingServer;
    private notifyCancelServerInstallation;
    private notifyInstalledServerDeleted;
    private notifyInstalledServerUpdated;
}
